https://b-api.lbkrs.com/v1/risk_monitoring/holding_datailAuthorization
Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.
Permission
The Broker ACCESS_TOKEN must be granted the permission above, or the call will be rejected.
Request body application/json
Risk Monitoring Log ID
A/C No.
Pass the internal numeric ID of the customer's securities account (aaid), not the securities account number account_no (such as H00000000) or the customer ID member_id. One customer can have multiple aaid values.
Responses
HTTP 200OKcodemessagedatadataobjectdata structureHolding details.
Child attributes
Stock position list.
Child attributes
Security code, such as ST/HK/700.
Position quantity.
Available quantity.
Last price.
Position market value in the security currency.
Maintenance margin ratio (percentage value).
Market value to be closed.
Minimum quantity to close.
Security name.
Market, such as HK or US.
Trading currency of the security.
IPO stock flag (string), such as 0.
Position market value in HKD.
Ratio (percentage string, such as 50%).
Pending order amount.
Maintenance margin amount.
per_reduce_val amount in the security currency.
per_reduce_val amount in HKD.
Counter channel currency.
Converted market value to be closed.
Margin call margin ratio (percentage value).
Option position list.
Child attributes
Option code, such as OP/US/AAPL261023C200000.
Underlying security code.
Call/put flag, such as C.
Position side, such as LONG.
Holding quantity.
Available holding quantity.
Expiry date in YYYY-MM-DD format.
Strike price.
Option market price.
Underlying stock price.
Position market value.
Exercise preparation flag.
Minimum quantity to close.
Maintenance margin amount.
Maintenance margin ratio (percentage value).
Pending order amount.
per_reduce_val amount in the security currency.
per_reduce_val amount in HKD.
per_release_value amount.
Counter channel currency.
Settlement channel, such as ib_hk.
Short position list. May be an empty array.
HTTP 400Bad request. Check the business error code in code and the error details in message.codemessagedatadataobjectdata structureNo nested fields
HTTP 401The user is not authenticated, or the login session has expired.codemessagedatadataobjectdata structureNo nested fields
HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.codemessagedatadataobjectdata structureNo nested fields
HTTP 408The request timed out. Check the business error code in code and the error details in message.codemessagedatadataobjectdata structureNo nested fields